## org.apache.xalan.xsltc.dom
Class ClonedNodeListIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.ClonedNodeListIterator

public final class ClonedNodeListIterator
extends DTMAxisIteratorBase

A ClonedNodeListIterator is returned by the cloneIterator() method of a CachedNodeListIterator. Its next() method retrieves the nodes from the cache of the CachedNodeListIterator.

Constructor Summary
`ClonedNodeListIterator(CachedNodeListIterator source)`

Method Summary
`DTMAxisIterator` `cloneIterator()`
`int` `getNodeByPosition(int pos)`
`int` `getPosition()`
`void` `gotoMark()`
`int` `next()`
`DTMAxisIterator` `reset()`
`void` `setMark()`
`void` `setRestartable(boolean isRestartable)`
`DTMAxisIterator` `setStartNode(int node)`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getStartNode, includeSelf, isDocOrdered, isReverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClonedNodeListIterator

    public ClonedNodeListIterator(CachedNodeListIterator source)

Method Detail

### setRestartable

    public void setRestartable(boolean isRestartable)

  Overrides:
    setRestartable in class DTMAxisIteratorBase

### setStartNode

    public DTMAxisIterator setStartNode(int node)

### next

    public int next()

### getPosition

    public int getPosition()

  Overrides:
    getPosition in class DTMAxisIteratorBase

### getNodeByPosition

    public int getNodeByPosition(int pos)

  Overrides:
    getNodeByPosition in class DTMAxisIteratorBase

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### reset

    public DTMAxisIterator reset()

  Overrides:
    reset in class DTMAxisIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Copyright © 2006 Apache XML Project. All Rights Reserved.